/*
  Copyright (C) 2010-2011  Charles Pence <charles@charlespence.net>
  Copyright (C) 1996-1997  Id Software, Inc.

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#include "pch.h"
#include "quakedef.h"

#include "net_loop.h"

net_driver_t net_drivers[MAX_NET_DRIVERS] =
{
    {
    "Loopback",
    false,
    Loop_Init,
    Loop_Listen,
    Loop_SearchForHosts,
    Loop_Connect,
    Loop_CheckNewConnections,
    Loop_GetMessage,
    Loop_SendMessage,
    Loop_SendUnreliableMessage,
    Loop_CanSendMessage,
    Loop_CanSendUnreliableMessage,
    Loop_Close,
    Loop_Shutdown
    }
};
int net_numdrivers = 1;

net_landriver_t    net_landrivers[MAX_NET_DRIVERS];
int net_numlandrivers = 0;
