/*
  Copyright (C) 2010-2011  Charles Pence <charles@charlespence.net>
  Copyright (C) 1996-1997  Id Software, Inc.

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#include "../pch.h"
#include "../quakedef.h"

namespace service
{

boost::signals2::signal<void (const refdef_t &)> FramePreRender;
boost::signals2::signal<void ()> FramePostRender;
boost::signals2::signal<bool (const std::string &), util::or_combiner<bool> > ConsoleCommand;
boost::signals2::signal<void (int, int, unsigned, vec3_t, float, float)> PlaySound;
boost::signals2::signal<void (int, int)> StopSound;
boost::signals2::signal<void (unsigned, vec3_t, float, float)> PlayStaticSound;
boost::signals2::signal<void (int)> PlayMusic;
boost::signals2::signal<void (bool)> PauseMusic;
boost::signals2::signal<void (void)> StopMusic;

}